%global srcname oslo-i18n

Name:           python-%{srcname}
Version:        5.1.0
Release:        %mkrel 2
Summary:        OpenStack OSLO Internationalization

Group:          Development/Python
License:        MIT
URL:            https://github.com/openstack/oslo.i18n
Source0:        https://pypi.python.org/packages/source/o/oslo.i18n/oslo.i18n-%{version}.tar.gz
Patch0:         oslo.i18n-5.0.1-deps.patch

BuildArch:      noarch

%description
The oslo.i18n library contain utilities for working with internationalization
(i18n) features, especially translation for text strings in an application
or library.

%package -n     python3-%{srcname}
Summary:        OpenStack OSLO Internationalization
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(pbr)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
The oslo.i18n library contain utilities for working with internationalization
(i18n) features, especially translation for text strings in an application
or library.

This is the Python 3 version of the package.

%prep
%setup -q -n oslo.i18n-%{version}
%patch0 -p1

# Remove bundled egg-info
rm -rf oslo.i18n.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/oslo*


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 5.1.0-2.mga9
+ Revision: 1824893
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 5.1.0-1.mga9
+ Revision: 1781486
- version 5.1.0
- rediff Patch0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 5.0.1-3.mga9
+ Revision: 1733240
- Rebuild for python 3.9

* Thu Sep 17 2020 guillomovitch <guillomovitch> 5.0.1-2.mga8
+ Revision: 1627745
- fix automatic dependencies

* Thu Sep 17 2020 guillomovitch <guillomovitch> 5.0.1-1.mga8
+ Revision: 1627491
- new version 5.0.1

* Mon Aug 24 2020 bcornec <bcornec> 4.0.1-3.mga8
+ Revision: 1618472
- Update to upstream python-oslo-i18n 4.0.1

* Sun Feb 16 2020 umeabot <umeabot> 3.23.0-3.mga8
+ Revision: 1533573
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 3.23.0-2.mga8
+ Revision: 1444722
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 3.23.0-1.mga7
+ Revision: 1353592
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.20.0-2.mga7
+ Revision: 1289503
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 3.20.0-1.mga7
+ Revision: 1222310
- Update to version 3.20.0
- Rename python-oslo-i18n to python2-oslo-i18n
- Use python_provide

* Thu Oct 05 2017 tv <tv> 3.4.0-3.mga7
+ Revision: 1169075
- add BR on python2dist(pbr) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 3.4.0-2.mga7
+ Revision: 1135530
- Rebuild for python 3.6

* Fri Aug 26 2016 bcornec <bcornec> 3.4.0-1.mga6
+ Revision: 1048965
- update to upstream python-oslo-i18n 3.4.0

* Fri Dec 18 2015 daviddavid <daviddavid> 3.1.0-1.mga6
+ Revision: 911560
- new version: 3.1.0

* Wed Oct 14 2015 daviddavid <daviddavid> 2.5.0-2.mga6
+ Revision: 891100
- add python3 package
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 2.5.0-1.mga6
+ Revision: 871287
- 2.5.0

* Mon Feb 23 2015 bcornec <bcornec> 1.4.0-1.mga5
+ Revision: 816661
- Update to upstream 1.4.0
- Update to upstream 1.3.0 to be uptodate and for python-keystoneclient

* Wed Jan 21 2015 bcornec <bcornec> 1.1.0-1.mga5
+ Revision: 811684
- Adds sha1 file
- Adds the python-oslo-i18n package for docker-registry
- Created package structure for python-oslo-i18n.

